Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77271 - erratum release breaks NP_ASFILEONLY Netscape plug-ins
Summary: erratum release breaks NP_ASFILEONLY Netscape plug-ins
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 16:33 UTC by Michael Schwendt
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-27 14:39:57 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2002-11-04 16:33:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
With Mozilla 0.9.9-7 from stock Valhalla, the Netscape-style plug-in, which
accepts data streams of type NP_ASFILEONLY, reads its data SRC= stream via the
NPP_StreamAsFile function and is provided with the file name argument like:

  /home/ms/.mozilla/ms/5zbrjsim.slt/Cache/8EBD7013d01

With the Mozilla 1.0.1-2.7.3 update, the file name argument is like

  /tmp/plugtmp/Giana_Sisters.sid

but the file does not exist. The directory /tmp/plugtmp is empty. Mozilla never
provides the data file in there. Hence the plug-in fails.

Reverting to the 0.9.9-7 version of Mozilla, it works again.


Version-Release number of selected component (if applicable):
1.0.1-2.7.3

How reproducible:
Always

Comment 1 Michael Schwendt 2002-12-04 17:14:10 UTC
FWIW, Mozilla 1.2.1 (RH7x rpms) doesn't have this bug.

Comment 2 Michael Schwendt 2002-12-28 17:31:04 UTC
As expected, mozilla-1.2.1-3 from Phoebe beta is not affected either.


Comment 3 Michael Schwendt 2004-07-27 14:39:57 UTC
Not reproducible in mozilla-1.4.1-18 (Fedora Core 1) either, and since
this was about old Red Hat Linux 7.3 and considering end-of-life...
closing.


Note You need to log in before you can comment on or make changes to this bug.